Subject: Re: What's cooking in git.git (Mar 2024, #08; Tue, 26)

From: Taylor Blau <[email-masked]>
Date: Tue, 26 Mar 2024 16:57:48 -0400

On Tue, Mar 26, 2024 at 01:45:59PM -0700, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> >>  The pack-bitmap machinery has been extended to write bitmaps for
> >>  pseudo-merges, which are imaginary commits which act as octopus
> >>  merges covering groups of the un-bitmapped parts of history at
> >>  reference tips.  This is good for ... what ...?
> >
> > Instead of "this is good for ... what ...", let me know what you think
> > of:
> >
> >   This allows for greater bitmap coverage (and, thus, performance when
> >   using bitmaps) of repositories with many references which ordinarily
> >   would not receive full coverage.
>
> Much better than "god for ... what ..." ;-)
>
> Now if it gets summarized in 2-5 lines, we have something we can
> use.

Sure, try this:

    The pack-bitmap machinery learned to write pseudo-merge bitmaps,
    which act as imaginary octopus merges covering un-bitmapped
    reference tips. This enhances bitmap coverage, and thus,
    performance, for repositories with many references using bitmaps.

Thanks,
Taylor